## Index

### Type aliases

- TranscodeEncoding

### Variables

- BuffType
- INSPECT_MAX_BYTES
- SlowBuffer

### Functions

- transcode

## Type aliases

### TranscodeEncoding

TranscodeEncoding: "ascii" | "utf8" | "utf16le" | "ucs2" | "latin1" | "binary"

- Defined in node_modules/@types/node/buffer.d.ts:5

## Variables

### Const BuffType

BuffType: object

- Defined in node_modules/@types/node/buffer.d.ts:3

#### Type declaration

- ##### constructor: function

  - new __type(str: string, encoding?: undefined | string): Buffer
  - new __type(size: number): Buffer
  - new __type(array: Uint8Array): Buffer
  - new __type(arrayBuffer: ArrayBuffer | SharedArrayBuffer): Buffer
  - new __type(array: any[]): Buffer
  - new __type(buffer: Buffer): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:303

    Allocates a new buffer containing the given {str}.

    deprecated

      since v10.0.0 - Use `Buffer.from(string[, encoding])` instead.

    #### Parameters

    - ##### str: string

      String to store in buffer.

    - ##### Optional encoding: undefined | string

      encoding to use, optional. Default is 'utf8'

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:311

    Allocates a new buffer of {size} octets.

    deprecated

      since v10.0.0 - Use `Buffer.alloc()` instead (also see `Buffer.allocUnsafe()`).

    #### Parameters

    - ##### size: number

      count of octets to allocate.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:318

    Allocates a new buffer containing the given {array} of octets.

    deprecated

      since v10.0.0 - Use `Buffer.from(array)` instead.

    #### Parameters

    - ##### array: Uint8Array

      The octets to store.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:325

    Produces a Buffer backed by the same allocated memory as the given {ArrayBuffer}/{SharedArrayBuffer}.

    deprecated

      since v10.0.0 - Use `Buffer.from(arrayBuffer[, byteOffset[, length]])` instead.

    #### Parameters

    - ##### arrayBuffer: ArrayBuffer | SharedArrayBuffer

      The ArrayBuffer with which to share memory.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:334

    Allocates a new buffer containing the given {array} of octets.

    deprecated

      since v10.0.0 - Use `Buffer.from(array)` instead.

    #### Parameters

    - ##### array: any[]

      The octets to store.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:341

    Copies the passed {buffer} data onto a new {Buffer} instance.

    deprecated

      since v10.0.0 - Use `Buffer.from(buffer)` instead.

    #### Parameters

    - ##### buffer: Buffer

      The buffer to copy.

    #### Returns Buffer

- ##### poolSize: number

  This is the number of bytes used to determine the size of pre-allocated, internal Buffer instances used for pooling. This value may be modified.

- ##### prototype: Buffer

- ##### alloc: function

  - alloc(size: number, fill?: string | Buffer | number, encoding?: undefined | string): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:421

    Allocates a new buffer of {size} octets.

    #### Parameters

    - ##### size: number

      count of octets to allocate.

    - ##### Optional fill: string | Buffer | number

      if specified, buffer will be initialized by calling buf.fill(fill). If parameter is omitted, buffer will be filled with zeros.

    - ##### Optional encoding: undefined | string

      encoding used for call to buf.fill while initalizing

    #### Returns Buffer

- ##### allocUnsafe: function

  - allocUnsafe(size: number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:428

    Allocates a new buffer of {size} octets, leaving memory not initialized, so the contents of the newly created Buffer are unknown and may contain sensitive data.

    #### Parameters

    - ##### size: number

      count of octets to allocate

    #### Returns Buffer

- ##### allocUnsafeSlow: function

  - allocUnsafeSlow(size: number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:435

    Allocates a new non-pooled buffer of {size} octets, leaving memory not initialized, so the contents of the newly created Buffer are unknown and may contain sensitive data.

    #### Parameters

    - ##### size: number

      count of octets to allocate

    #### Returns Buffer

- ##### byteLength: function

  - byteLength(string: string | TypedArray | DataView | ArrayBuffer | SharedArrayBuffer, encoding?: undefined | string): number
  - - Defined in node_modules/@types/node/globals.d.ts:396

    Gives the actual byte length of a string. encoding defaults to 'utf8'. This is not the same as String.prototype.length since that returns the number of characters in a string.

    #### Parameters

    - ##### string: string | TypedArray | DataView | ArrayBuffer | SharedArrayBuffer

      string to test.

    - ##### Optional encoding: undefined | string

      encoding used to evaluate (defaults to 'utf8')

    #### Returns number

- ##### compare: function

  - compare(buf1: Uint8Array, buf2: Uint8Array): number
  - - Defined in node_modules/@types/node/globals.d.ts:412

    The same as buf1.compare(buf2).

    #### Parameters

    - ##### buf1: Uint8Array

    - ##### buf2: Uint8Array

    #### Returns number

- ##### concat: function

  - concat(list: Uint8Array[], totalLength?: undefined | number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:408

    Returns a buffer which is the result of concatenating all the buffers in the list together.

    If the list has no items, or if the totalLength is 0, then it returns a zero-length buffer. If the list has exactly one item, then the first item of the list is returned. If the list has more than one item, then a new Buffer is created.

    #### Parameters

    - ##### list: Uint8Array[]

      An array of Buffer objects to concatenate

    - ##### Optional totalLength: undefined | number

      Total length of the buffers when concatenated. If totalLength is not provided, it is read from the buffers in the list. However, this adds an additional loop to the function, so it is faster to provide the length explicitly.

    #### Returns Buffer

- ##### from: function

  - from(arrayBuffer: ArrayBuffer | SharedArrayBuffer, byteOffset?: undefined | number, length?: undefined | number): Buffer
  - from(data: number[]): Buffer
  - from(data: Uint8Array): Buffer
  - from(str: string, encoding?: undefined | string): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:358

    When passed a reference to the .buffer property of a TypedArray instance, the newly created Buffer will share the same allocated memory as the TypedArray. The optional {byteOffset} and {length} arguments specify a memory range within the {arrayBuffer} that will be shared by the Buffer.

    #### Parameters

    - ##### arrayBuffer: ArrayBuffer | SharedArrayBuffer

      The .buffer property of any TypedArray or a new ArrayBuffer()

    - ##### Optional byteOffset: undefined | number

    - ##### Optional length: undefined | number

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:363

    Creates a new Buffer using the passed {data}

    #### Parameters

    - ##### data: number[]

      data to create a new Buffer

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:364

    #### Parameters

    - ##### data: Uint8Array

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:370

    Creates a new Buffer containing the given JavaScript string {str}. If provided, the {encoding} parameter identifies the character encoding. If not provided, {encoding} defaults to 'utf8'.

    #### Parameters

    - ##### str: string

    - ##### Optional encoding: undefined | string

    #### Returns Buffer

- ##### isBuffer: function

  - isBuffer(obj: any): boolean
  - - Defined in node_modules/@types/node/globals.d.ts:381

    Returns true if {obj} is a Buffer

    #### Parameters

    - ##### obj: any

      object to test.

    #### Returns boolean

- ##### isEncoding: function

  - isEncoding(encoding: string): boolean | undefined
  - - Defined in node_modules/@types/node/globals.d.ts:388

    Returns true if {encoding} is a valid encoding argument. Valid string encodings in Node 0.12: 'ascii'|'utf8'|'utf16le'|'ucs2'(alias of 'utf16le')|'base64'|'binary'(deprecated)|'hex'

    #### Parameters

    - ##### encoding: string

      string to test.

    #### Returns boolean | undefined

- ##### of: function

  - of(...items: number[]): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:375

    Creates a new Buffer using the passed {data}

    #### Parameters

    - ##### Rest ...items: number[]

    #### Returns Buffer

### Const INSPECT_MAX_BYTES

INSPECT_MAX_BYTES: number

- Defined in node_modules/@types/node/buffer.d.ts:2

### Const SlowBuffer

SlowBuffer: object

- Defined in node_modules/@types/node/buffer.d.ts:9

#### Type declaration

- ##### constructor: function

  - new __type(size: number): Buffer
  - - Defined in node_modules/@types/node/buffer.d.ts:9
    deprecated

      since v6.0.0, use Buffer.allocUnsafeSlow()

    #### Parameters

    - ##### size: number

    #### Returns Buffer

- ##### prototype: Buffer

## Functions

### transcode

- transcode(source: Buffer | Uint8Array, fromEnc: TranscodeEncoding, toEnc: TranscodeEncoding): Buffer

- - Defined in node_modules/@types/node/buffer.d.ts:7

  #### Parameters

  - ##### source: Buffer | Uint8Array

  - ##### fromEnc: TranscodeEncoding

  - ##### toEnc: TranscodeEncoding

  #### Returns Buffer

Generated using TypeDoc